Package org.jboss.resteasy.spi

## Interface ResteasyAsynchronousContext

- All Known Implementing Classes:
    `AbstractExecutionContext`, `SynchronousExecutionContext`

      public interface ResteasyAsynchronousContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete()` |
    `CompletionStage<Void>` | `executeAsyncIo​(CompletionStage<Void> f)` |
    `CompletionStage<Void>` | `executeBlockingIo​(RunnableWithException f, boolean hasInterceptors)` |
    `ResteasyAsynchronousResponse` | `getAsyncResponse()` |
    `void` | `initialRequestEnded()` |
    `void` | `initialRequestStarted()` |
    `boolean` | `isOnInitialRequest()` |
    `boolean` | `isSuspended()` |
    `ResteasyAsynchronousResponse` | `suspend()` |
    `ResteasyAsynchronousResponse` | `suspend​(long millis)` |
    `ResteasyAsynchronousResponse` | `suspend​(long time, TimeUnit unit)` |

- - ### Method Detail

    - #### initialRequestStarted

          void initialRequestStarted()

    - #### initialRequestEnded

          void initialRequestEnded()

    - #### isOnInitialRequest

          boolean isOnInitialRequest()

    - #### isSuspended

          boolean isSuspended()

    - #### getAsyncResponse

          ResteasyAsynchronousResponse getAsyncResponse()

    - #### suspend

          ResteasyAsynchronousResponse suspend()
                                        throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### suspend

          ResteasyAsynchronousResponse suspend​(long millis)
                                        throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### suspend

          ResteasyAsynchronousResponse suspend​(long time,
                                               TimeUnit unit)
                                        throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### complete

          void complete()

    - #### executeBlockingIo

          CompletionStage<Void> executeBlockingIo​(RunnableWithException f,
                                                  boolean hasInterceptors)

    - #### executeAsyncIo

          CompletionStage<Void> executeAsyncIo​(CompletionStage<Void> f)